=== debian/rules ===
#!/usr/bin/make -f
# Based on sample debian/rules, GNU copyright 1997-1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

package=hpsockd
docdir=debian/$(package)/usr/share/doc/$(package)
sbindir=debian/$(package)/usr/sbin
bindir=debian/$(package)/usr/bin
lbindir=debian/$(package)/usr/lib/hpsockd

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#CONFIGURE#

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	cd src && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	cd src && $(MAKE) clobber

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/#PACKAGE#.
	install src/sockd/sockd $(sbindir)/hpsockd
	install src/sockd/sdc $(sbindir)
	install src/sockd/usage src/sockd/log2ascii $(lbindir)
	install -m 444 doc/*.html $(docdir)/html
	install -m 444 src/sockd/ChangeLog $(docdir)/changelog
	install -m 444 src/sockd/sockd.conf.debian $(docdir)/examples/hpsockd.conf
	install debian/init.d debian/$(package)/etc/init.d/hpsockd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testversion 2
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
	dh_undocumented hpsockd.8 sdc.1
	dh_installchangelogs #CHANGELOGS#
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
