## hpsockd 0.12

=== debian/changelog ===
hpsockd (0.12) unstable; urgency=low

  * Fix description.  Closes: #135448, #209646
  * Handle missing config file in init.d better.  Closes: #131618

 -- LaMont Jones <lamont@debian.org>  Sat, 13 Sep 2003 20:11:08 -0600

hpsockd (0.11) unstable; urgency=low

  * Remove RFC's from the package.  Closes: #199805

 -- LaMont Jones <lamont@debian.org>  Fri, 29 Aug 2003 09:58:12 -0600

hpsockd (0.10) unstable; urgency=low

  * Add -v option to print version.

 -- LaMont Jones <lamont@debian.org>  Thu, 27 Feb 2003 10:23:44 -0700

hpsockd (0.9) unstable; urgency=low

  * Fix bad sign assumption.  Closes: #177386

 -- LaMont Jones <lamont@debian.org>  Sun, 19 Jan 2003 07:04:22 -0700

hpsockd (0.8) unstable; urgency=high

  * Cleanup ping/traceroute command handling.

 -- LaMont Jones <lamont@debian.org>  Mon, 16 Dec 2002 22:19:24 -0700

hpsockd (0.7) unstable; urgency=low

  * Add more footprinting.
  * 2.4 select appears to return true for read on non-connected sockets.
    Avoid that.

 -- LaMont Jones <lamont@debian.org>  Fri, 26 Jul 2002 21:12:14 -0600
