## hpsockd 0.12ubuntu0.1

=== debian/changelog ===
hpsockd (0.12ubuntu0.1) warty-security; urgency=low

  * SECURITY UPDATE: missing input sanitising
  * src/sockd/v5udp.c:
    - applied patch from Debian SID upgrade
  * References:
    - CAN-2004-0993
    - http://www.nl.debian.org/security/2004/dsa-604

 -- Gerardo Di Giacomo <gerardo@linux.it>  Sun,  5 Dec 2004 19:27:47 +0000
