=== debian/control ===
Source: hpsockd
Section: net
Priority: extra
Maintainer: LaMont Jones <lamont@debian.org>
Build-Depends: libdb4.1-dev, debhelper ( >= 2.0), flex, byacc
Standards-Version: 3.1.1.1

Package: hpsockd
Architecture: any
Depends: ${shlibs:Depends}
Description: HP SOCKS server.
 Hpsockd is yet-another SOCKS server, with both version 5 (RFC1928 and
 others) as well as version 4 support, originally written at
 Hewlett-Packard Company.
