=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,6 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	dh_testversion 2
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf	
@@ -74,14 +73,11 @@
 	dh_installcron
 	dh_installmanpages
 	dh_installinfo
-	dh_undocumented hpsockd.8 sdc.1
 	dh_installchangelogs #CHANGELOGS#
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-	# You may want to make some executables suid here.
-	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
