## hpsockd 0.17

=== debian/changelog ===
hpsockd (0.17) unstable; urgency=low

  * Drop documenation to make the pedants happy.  Closes: #480372

 -- LaMont Jones <lamont@debian.org>  Sat, 14 Jun 2008 09:05:19 -0600

hpsockd (0.16) unstable; urgency=low

  [Petter Reinholdtsen]

  * init.d: add LSB init stuff.  Closes: #462716

 -- LaMont Jones <lamont@debian.org>  Fri, 28 Mar 2008 07:45:51 -0600
