## hpsockd 0.17b1

=== debian/changelog ===
hpsockd (0.17b1) staging; urgency=medium

  * No-change rebuild against libdb5.3.

 -- Jon Severinsson <jon@severinsson.net>  Thu, 12 Jun 2014 14:59:07 +0200
