## hpsockd 0.17build1

=== debian/changelog ===
hpsockd (0.17build1) precise; urgency=low

  * Rebuild for libdb5.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 23:18:15 +0000
