## hpsockd 0.17build2

=== debian/changelog ===
hpsockd (0.17build2) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 01 Nov 2013 23:37:42 +0000
