## hpsockd 0.17%2Bnmu1

=== debian/changelog ===
hpsockd (0.17+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debian/compat to 10. Tested by ensuring bit-identical binaries.
    Closes: #965582
  * Add missing required debian/rules targets. Closes: #999120
  * Fix lintian warning: debhelper-but-no-misc-depends
  * Switch to 3.0 (native) source format. Closes: #1007074

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 10 Mar 2022 23:02:47 +0000
