## hpsockd 0.17%2Bx

=== debian/control ===
Source: hpsockd
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: net
Priority: optional
Build-Depends: libdb-dev,
               debhelper-compat (= 13),
               flex,
               byacc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/hpsockd
Vcs-Git: https://salsa.debian.org/debian/hpsockd.git

Package: hpsockd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: HP SOCKS server
 Hpsockd is yet-another SOCKS server, with both version 5 (RFC1928 and
 others) as well as version 4 support, originally written at
 Hewlett-Packard Company.
