## hpsockd 0.17+nmu1build2

=== debian/changelog ===
hpsockd (0.17+nmu1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:21 +1100

hpsockd (0.17+nmu1build1) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:31:47 +0000
