=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hpsockd
 Section: net
 Priority: extra
-Maintainer: LaMont Jones <lamont@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
 Build-Depends: libdb-dev (>=4.6.19), debhelper-compat (= 10), flex, byacc
 Standards-Version: 3.7.3
 XS-Vcs-Browser: http://git.debian.org/?p=users/lamont/hpsockd.git
