=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,9 @@
 bindir=debian/$(package)/usr/bin
 lbindir=debian/$(package)/usr/lib/hpsockd
 
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
-	# Add here commands to configure the package.
-	#CONFIGURE#
-
-	touch configure-stamp
-
-build: configure-stamp build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
@@ -30,7 +24,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
 	cd src && $(MAKE) clobber
@@ -84,4 +78,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install
