## hpsockd 0.17+x

=== debian/changelog ===
hpsockd (0.17+x-0.1) unstable; urgency=medium

  * QA upload.
    Closes: #1093570, #1085583, #1085583

  [ Andreas Tille ]
  * Maintain package in Debian/ team on Salsa
  * This package is not Debian native - separate source and packaging
  * Fix build with GCC-14 (Closes: #1075070)
  * This is no sample rules
  * Short dh
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/copyright: DEP5 + review
  * Do not explicitly start/stop daemon in postinst, prerm since this is
    auto-injected

  [ наб ]
  * d/rules: dh_installmanpages-is-obsolete
  * d/rules: dh-clean-k-is-deprecated

  [ Barry deFreese ]
  * Fix FTBFS on Debian GNU/Hurd
    Closes: #533731

 -- Andreas Tille <tille@debian.org>  Fri, 07 Mar 2025 10:31:25 +0100
