=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=hpsockd
docdir=debian/$(package)/usr/share/doc/$(package)
sbindir=debian/$(package)/usr/sbin
bindir=debian/$(package)/usr/bin
lbindir=debian/$(package)/usr/lib/hpsockd

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	cd src && $(MAKE) clobber

override_dh_auto_build:
	dh_auto_build --sourcedir=src

override_dh_auto_install:
	echo "Just use dh_install"

override_dh_install:
	install src/sockd/sockd $(sbindir)/hpsockd
	install -m 444 src/sockd/sockd.conf.debian $(docdir)/examples/hpsockd.conf
	install debian/init.d debian/$(package)/etc/init.d/hpsockd
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs src/sockd/ChangeLog
